Subject: Re: Security 'n MOO 'n UNIX 'n stuff.

From: Roger Crew <[email-masked]>
Date: Tue, 12 May 1992 14:20:47 -0700

A quick remark about the allowing-system-commands-in-MOO debate:

The concerns for security should not be understated.  On LambdaMOO, despite
being fairly security conscious from the beginning, we've had, in the past few
months, no less than 3 instances of players successfully cracking themselves
wizard bits.  Granted, there were no instances in the previous year and a half
that I know of, but who knows?

I suppose, given the size and general hairiness of the full Lambda DB --- there
are somewhere around 800-1000 wizard-owned verbs (400-500 in LambdaCore itself)
--- and the number of players currently attacking it, that it was bound to
happen sooner or later.  But that only underscores the point.

BTW - of these instances, only one affects the LambdaCore distribution.
Details available as soon as those actually running such a beast in public
(is GodNet the only one? --- archwizardly types should send me email) 
get a chance to apply the patch.

Meanwhile, on an entirely different subject:

\begin{flame}

  Someone writes (for the nth time this month)
  >  please remove me from moo-cows....

  DAMMIT!  Use MOO-Cows-Request @parc.xerox.com
			^^^^^^^

  if you want to be taken off the list.  

  In fact, this convention holds for a large number of internet mailing lists;
  you would do well to learn it NOW so that you don't piss off people in the
  future.

\end{flame}

I really hated to do that, but the full list has been getting so many of these
lately, that I didn't really see any alternative.  Profuse apologies to those
of you who actually do know how to READ and understood this the first time
around...

--
Roger Crew
Internet:   [email-masked]
LambdaMOO:  Rog